org.eclipse.viatra.cep.core.metamodels.events

## Interface Event

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    AbstractEventInstance, ADD_Event, ADD_MANY_Event, EventImpl, MOVE_Event, ParameterizableEventInstance, ParameterizableViatraQueryPatternEventInstance, REMOVE_Event, REMOVE_MANY_Event, RESOLVE_Event, SET_Event, UNSET_Event

      public interface Event
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Event'.

  The following features are supported:

  - `Type`
  - `Timestamp`
  - `Source`
  - `Is Processed`
  See Also:
    `EventsPackage.getEvent()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventSource` | `getSource()` Returns the value of the 'Source' reference.
    `long` | `getTimestamp()` Returns the value of the 'Timestamp' attribute.
    `java.lang.String` | `getType()` Returns the value of the 'Type' attribute.
    `boolean` | `isIsProcessed()` Returns the value of the 'Is Processed' attribute.
    `void` | `setIsProcessed(boolean value)` Sets the value of the '`Is Processed`' attribute.
    `void` | `setSource(EventSource value)` Sets the value of the '`Source`' reference.
    `void` | `setTimestamp(long value)` Sets the value of the '`Timestamp`' attribute.
    `void` | `setType(java.lang.String value)` Sets the value of the '`Type`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getType

          java.lang.String getType()

      Returns the value of the 'Type' attribute.

      If the meaning of the 'Type' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Type' attribute.
      See Also:
        `setType(String)`, `EventsPackage.getEvent_Type()`
      Generated:
      Model:
        required="true"

    - #### setType

          void setType(java.lang.String value)

      Sets the value of the '`Type`' attribute.
      Parameters:
        `value` - the new value of the 'Type' attribute.
      See Also:
        `getType()`
      Generated:

    - #### getTimestamp

          long getTimestamp()

      Returns the value of the 'Timestamp' attribute.

      If the meaning of the 'Timestamp' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Timestamp' attribute.
      See Also:
        `setTimestamp(long)`, `EventsPackage.getEvent_Timestamp()`
      Generated:
      Model:
        required="true"

    - #### setTimestamp

          void setTimestamp(long value)

      Sets the value of the '`Timestamp`' attribute.
      Parameters:
        `value` - the new value of the 'Timestamp' attribute.
      See Also:
        `getTimestamp()`
      Generated:

    - #### getSource

          EventSource getSource()

      Returns the value of the 'Source' reference.

      If the meaning of the 'Source' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Source' reference.
      See Also:
        `setSource(EventSource)`, `EventsPackage.getEvent_Source()`
      Generated:
      Model:

    - #### setSource

          void setSource(EventSource value)

      Sets the value of the '`Source`' reference.
      Parameters:
        `value` - the new value of the 'Source' reference.
      See Also:
        `getSource()`
      Generated:

    - #### isIsProcessed

          boolean isIsProcessed()

      Returns the value of the 'Is Processed' attribute.

      If the meaning of the 'Is Processed' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Is Processed' attribute.
      See Also:
        `setIsProcessed(boolean)`, `EventsPackage.getEvent_IsProcessed()`
      Generated:
      Model:
        required="true"

    - #### setIsProcessed

          void setIsProcessed(boolean value)

      Sets the value of the '`Is Processed`' attribute.
      Parameters:
        `value` - the new value of the 'Is Processed' attribute.
      See Also:
        `isIsProcessed()`
      Generated: